Bug 144925 - docbookhtml2php.py converts too many file extensions
Summary: docbookhtml2php.py converts too many file extensions
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
(Show other bugs)
Version: devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Wade
QA Contact: Mark Johnson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-12 19:35 UTC by Karsten Wade
Modified: 2009-07-07 04:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-19 02:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Wade 2005-01-12 19:35:25 UTC
Description of problem:

When running docbookhtml2php.py, it converts every file extension in a
file from .html to .php, including URLs that go outside of the
fedora.redhat.com website.

Just in case I don't have the situation understood correctly, what
happened with the SELinux FAQ is there is a link to
http://people.redhat.com/kwade/fedora-docs/selinux-faq-en/ln-legalnotice.html
in a pre-filled bugzilla template (for the Description field), and
that .html is converted to .php.  When dotphp2dothtml.sh is run later,
this particular link is not getting converted back to .html.

So, the problem could be in either script.

For the meantime, I am manually fixing the problem in the .php file.

Comment 1 eric@christensenplace.us 2009-07-07 04:08:48 UTC
Ticket moved to allow products to be removed from BZ.


Note You need to log in before you can comment on or make changes to this bug.